# SigningRequests Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/signingrequests/

Schema for the `SigningRequests` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string)_
  The unique identifier of the signing request.
- **`name`** _(string)_
  The name of the signing request. This is usually the email subject that goes as part of the signing request.
- **`description`** _(string)_
  Human readable description of the signing request. This is usually the email body that goes as part of the signing request.
- **`type`** _(string)_
  The type of the signing request.
- **`status`** _(object)_
  The status of the signing request.
  - **`id`** _(string)_
  - **`name`** _(string)_
- **`cancellation_reason`** _(string)_
  If the signing request is voided or cancelled, the reason is specified here.
- **`collections`** _(array<object>)_
  The collections of the signing request.
  - **`id`** _(string)_
    The unique identifier of the collection.
  - **`name`** _(string)_
    The name of the collection.
- **`groups`** _(array<object>)_
  The groups of the signing request.
  - **`id`** _(string)_
    The unique identifier of the group.
  - **`type`** _(string)_
    The type of the group.
- **`participants`** _(array<object>)_
  The participants of the signing request.
  - **`id`** _(string)_
    The unique identifier of the participant.
  - **`name`** _(string)_
    The name of the participant.
  - **`emails`** _(array<object>)_
    The emails of the participant.
    - **`email`** _(string)_
      The email address of the participant.
  - **`is_signer`** _(boolean)_
    Specifies whether the participant is a signer of the document.
  - **`routing_order`** _(number)_
    The routing order of the participant.
- **`urls`** _(array<object>)_
  The urls of the signing_request
  - **`url`** _(string)_
    The url of the signing_request
  - **`type`** _(string)_
    The type of the url
    Allowed: `view`, `edit`, `public_view`
- **`created_at`** _(string)_
  The date and time when the signing request was created.
- **`updated_at`** _(string)_
  The date and time when the signing request was last updated.
- **`last_activity_at`** _(string)_
  The date and time when the signing request was last updated.
- **`expires_at`** _(string)_
  The date and time when the signing request expires.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/signing_requests](/docs/api-reference/unified-e-signature-api/signingrequests/list) — List Signing requests
- [POST /unified/e-signature/signing_requests](/docs/api-reference/unified-e-signature-api/signingrequests/create) — Create Signing requests
- [GET /unified/e-signature/signing_requests/{id}](/docs/api-reference/unified-e-signature-api/signingrequests/get) — Get Signing requests
- [PATCH /unified/e-signature/signing_requests/{id}](/docs/api-reference/unified-e-signature-api/signingrequests/update) — Update Signing requests
- [DELETE /unified/e-signature/signing_requests/{id}](/docs/api-reference/unified-e-signature-api/signingrequests/delete) — Delete Signing requests
- [POST /unified/e-signature/signing_requests/get_embed_url](/docs/api-reference/unified-e-signature-api/signingrequests/get_embed_url) — Get Embed Url Signing requests
- [POST /unified/e-signature/signing_requests/download](/docs/api-reference/unified-e-signature-api/signingrequests/download) — Download Signing requests
- [POST /unified/e-signature/signing_requests/remove_participants](/docs/api-reference/unified-e-signature-api/signingrequests/remove_participants) — Remove Participants Signing requests
